libplexus-velocity-java-doc_1.2-3_all.deb


Advertisement

Description

libplexus-velocity-java-doc - API Documentation for plexus-velocity

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libplexus-velocity-java-doc
Package version 1.2
Package release 3
Package architecture all
Package type deb
Installed size 186 B
Download size 15.64 KB
Official Mirror archive.ubuntu.com
The Plexus project provides a full software stack for creating and executing
software projects. Based on the Plexus container, the applications can
utilise component-oriented programming to build modular, reusable components
that can easily be assembled and reused.
While Plexus is similar to other inversion-of-control (IoC) or dependency
injection frameworks such as the Spring Framework, it is a full-fledged
container that supports many more features such as:
* Component lifecycles
* Component instantiation strategies
* Nested containers
* Component configuration
* Auto-wiring
* Component dependencies, and
* Various dependency injection techniques including constructor injection,
setter injection, and private field injection.
This package contains the API documentation for plexus-velocity.

Alternatives

Package Version Architecture Repository
libplexus-velocity-java-doc_1.2-3_all.deb 1.2 all Ubuntu Universe
libplexus-velocity-java-doc - - -

Requires

Name Value
default-jdk-doc -
libcommons-collections3-java-doc -

Download

Type URL
Binary Package libplexus-velocity-java-doc_1.2-3_all.deb
Source Package plexus-velocity

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libplexus-velocity-java-doc deb package:
    # sudo apt-get install libplexus-velocity-java-doc

Files

Path
/usr/share/doc-base/libplexus-velocity-java
/usr/share/doc/libplexus-velocity-java-doc/changelog.Debian.gz
/usr/share/doc/libplexus-velocity-java-doc/copyright
/usr/share/doc/libplexus-velocity-java/api/allclasses-frame.html
/usr/share/doc/libplexus-velocity-java/api/allclasses-noframe.html
/usr/share/doc/libplexus-velocity-java/api/constant-values.html
/usr/share/doc/libplexus-velocity-java/api/deprecated-list.html
/usr/share/doc/libplexus-velocity-java/api/help-doc.html
/usr/share/doc/libplexus-velocity-java/api/index-all.html
/usr/share/doc/libplexus-velocity-java/api/index.html
/usr/share/doc/libplexus-velocity-java/api/overview-tree.html
/usr/share/doc/libplexus-velocity-java/api/package-list
/usr/share/doc/libplexus-velocity-java/api/script.js
/usr/share/doc/libplexus-velocity-java/api/stylesheet.css
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/ContextClassLoaderResourceLoader.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/DefaultVelocityComponent.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/SiteResourceLoader.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/VelocityComponent.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/package-frame.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/package-summary.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/package-tree.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/package-use.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/class-use/ContextClassLoaderResourceLoader.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/class-use/DefaultVelocityComponent.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/class-use/SiteResourceLoader.html
/usr/share/doc/libplexus-velocity-java/api/org/codehaus/plexus/velocity/class-use/VelocityComponent.html

Changelog

2017-07-25 - Emmanuel Bourg <ebourg@apache.org>
plexus-velocity (1.2-3) unstable; urgency=medium
* Added the missing build dependency on junit4 (Closes: #869646)
2017-07-24 - Emmanuel Bourg <ebourg@apache.org>
plexus-velocity (1.2-2) unstable; urgency=medium
* Depend on plexus-container-default1.5 instead of plexus-container-default
* Standards-Version updated to 4.0.0
2016-10-30 - Emmanuel Bourg <ebourg@apache.org>
plexus-velocity (1.2-1) unstable; urgency=medium
* New upstream release
* Build with the DH sequencer instead of CDBS
* Moved the package to Git
* Standards-Version updated to 3.9.8
* Switch to debhelper level 10
* debian/watch: Track and download the new releases on GitHub
* Updated the Homepage field
2013-08-06 - Emmanuel Bourg <ebourg@apache.org>
plexus-velocity (1.1.8-1) unstable; urgency=low
* New upstream release
* Switched the build dependency on Commons Collections to 3.x
* debian/control:
- Updated Standards-Version to 3.9.4 (no changes)
- Removed Michael Koch from the uploaders (Closes: #654128)
- Use canonical URLs for the Vcs-* fields
* debian/copyright: Updated the Format URI
2011-09-29 - Torsten Werner <twerner@debian.org>
plexus-velocity (1.1.7-5) unstable; urgency=low
* Team upload.
* Ignore test failures because commons-collections 3.x is needed somehow.
(Closes: #643555)
2011-08-28 - Torsten Werner <twerner@debian.org>
plexus-velocity (1.1.7-4) unstable; urgency=low
* Team upload.
* Remove Trygve and Paul from Uploaders list.
* Switch to debhelper level 7.
* Update Standards-Version: 3.9.1.
* Switch to source format 3.0.
* Change Depends: classpath-doc to default-jdk-doc. (Closes: #567290)
* Use Maven to build the package.
* Regenerate debian/copyright.
2009-09-02 - Ludovic Claude <ludovic.claude@laposte.net>
plexus-velocity (1.1.7-3) unstable; urgency=low
* Add Build-Depends on openjdk-6-doc (Closes: #543116)
* Build-Depends on default-jdk instead of default-jdk-builddep,
as gcj is not used
* Bump up Standards-Version to 3.8.3, no change
2009-08-09 - Torsten Werner <twerner@debian.org>
plexus-velocity (1.1.7-2) unstable; urgency=low
* Upload to unstable.
2009-03-24 - Ludovic Claude <ludovic.claude@laposte.net>
plexus-velocity (1.1.7-1) experimental; urgency=low
[ Ludovic Claude ]
* New upstream version, added myself to Uploaders.
* Change section to java, bump Standards-Version to 3.8.1
* Add the Maven POM to the package,
* Add a Build-Depends-Indep dependency on maven-repo-helper
* Replace build dependency on java-gcj-compat-dev by default-jdk
* Use mh_installpom and mh_installjar to install the POM and the jar to the
Maven repository
* Add libcommons-collections-java, libplexus-containers-java, velocity
to Depends: for the binary package
[ Michael Koch ] 
* Added watch file.
* Added myself to Uploaders.
* Added Homepage, Vcs-Svn and Vcs-Browser fields.
2007-06-12 - Paul Cager <paul-debian@home.paulcager.org>
plexus-velocity (1.1.6-1) unstable; urgency=low
* Initial release. (Closes: #426227)

See Also

Package Description
libplexus-velocity-java_1.2-3_all.deb Plexus component interface to velocity
libplib-dev_1.8.5-8_i386.deb Portability Libraries: Development package
libplib-doc_1.8.5-3.1_all.deb Portability Libraries: documentation and examples
libplib1_1.8.5-8_i386.deb Portability Libraries: Run-time package
libplist-utils_2.0.0-2ubuntu1_i386.deb Apple property list converter
libpll-dev_0.3.1-1_i386.deb Phylogenetic Likelihood Library (development)
libpll0_0.3.1-1_i386.deb Phylogenetic Likelihood Library
libploop-dev_1.15-5_i386.deb ploop API development library
libploop1_1.15-5_i386.deb ploop API library
libplot-dev_2.6-9_i386.deb GNU plotutils libraries (development files)
libplot2c2_2.6-9_i386.deb GNU plotutils libraries
libploticus0-dev_2.42-4_i386.deb Development files for the ploticus library
libploticus0_2.42-4_i386.deb script driven business graphics library
libplplot-ada-dev_5.13.0+dfsg-6ubuntu2_i386.deb Ada support for PLplot, a plotting library (development files)
libplplot-dev_5.13.0+dfsg-6ubuntu2_i386.deb Scientific plotting library (development files)
Advertisement
Advertisement